using Microsoft.Xna.Framework;

namespace CoronaVirusGame.GuiGame
{
    public abstract class Selectable
    {
        public Rectangle SelectionRange;
        public bool IsSelectable(Rectangle selectorRect, out int intersectAmount)
        {
            Rectangle intersect = Rectangle.Intersect(SelectionRange, selectorRect);
            intersectAmount = intersect.Height + intersect.Width;
            if (intersectAmount == 0)
                return false;
            return true;
        }
    }
}